tbb::interface6::flow_control Class Reference

input_filter control to signal end-of-input for parallel_pipeline More...

`#include <pipeline.h>`

Collaboration diagram for tbb::interface6::flow_control:

## Public Member Functions

void | stop ()

## Private Member Functions

| flow_control ()

## Private Attributes

bool | is_pipeline_stopped

## Friends

template<typename T , typename U , typename Body >
class | internal::concrete_filter
template<typename Output >
class | flow::interface11::input_node

## Detailed Description

input_filter control to signal end-of-input for parallel_pipeline

Definition at line 316 of file pipeline.h.

## Constructor & Destructor Documentation

## flow_control()

tbb::interface6::flow_control::flow_control | ( |  | ) |

inline private

Definition at line 318 of file pipeline.h.

{ is_pipeline_stopped = false; }
tbb::interface6::flow_control::is_pipeline_stopped
bool is_pipeline_stopped
Definition: pipeline.h:317

References is_pipeline_stopped.

## Member Function Documentation

## stop()

void tbb::interface6::flow_control::stop | ( |  | ) |

inline

Definition at line 322 of file pipeline.h.

{ is_pipeline_stopped = true; }

References is_pipeline_stopped.

## Friends And Related Function Documentation

## flow::interface11::input_node

template<typename Output >

friend class flow::interface11::input_node

friend

Definition at line 320 of file pipeline.h.

## internal::concrete_filter

template<typename T , typename U , typename Body >

friend class internal::concrete_filter

friend

Definition at line 319 of file pipeline.h.

## Member Data Documentation

## is_pipeline_stopped

bool tbb::interface6::flow_control::is_pipeline_stopped

private

Definition at line 317 of file pipeline.h.

Referenced by flow_control(), tbb::interface6::internal::concrete_filter< void, U, Body >::operator()(), tbb::interface6::internal::concrete_filter< void, void, Body >::operator()(), stop(), and tbb::flow::interface11::input_node< Output >::try_reserve_apply_body().

The documentation for this class was generated from the following file:

- pipeline.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.